import { CommuneClient } from 'commune-ai';
const commune = new CommuneClient({ apiKey: process.env.COMMUNE_API_KEY });
const result = await commune.domains.list();
for (const domain of result.data) {
console.log(domain.name, domain.status);
}
from commune import CommuneClient
client = CommuneClient()
result = client.domains.list()
for domain in result.data:
print(domain.name, domain.status)
list_domains()
curl "https://api.commune.email/v1/domains" \
-H "Authorization: Bearer comm_..."
commune domains list
{
"data": [
{
"id": "domain_xyz789",
"name": "mycompany.com",
"status": "verified",
"region": "us-east-1",
"records": [],
"createdAt": "2026-02-01T08:00:00.000Z"
},
{
"id": "domain_abc456",
"name": "outreach.mycompany.com",
"status": "pending",
"region": "us-east-1",
"records": [],
"createdAt": "2026-02-25T10:00:00.000Z"
}
]
}
{
"error": "unauthorized",
"message": "Invalid or missing API key"
}
Domains
List domains
List all custom domains registered for the authenticated organization.
GET
/
v1
/
domains
import { CommuneClient } from 'commune-ai';
const commune = new CommuneClient({ apiKey: process.env.COMMUNE_API_KEY });
const result = await commune.domains.list();
for (const domain of result.data) {
console.log(domain.name, domain.status);
}
from commune import CommuneClient
client = CommuneClient()
result = client.domains.list()
for domain in result.data:
print(domain.name, domain.status)
list_domains()
curl "https://api.commune.email/v1/domains" \
-H "Authorization: Bearer comm_..."
commune domains list
{
"data": [
{
"id": "domain_xyz789",
"name": "mycompany.com",
"status": "verified",
"region": "us-east-1",
"records": [],
"createdAt": "2026-02-01T08:00:00.000Z"
},
{
"id": "domain_abc456",
"name": "outreach.mycompany.com",
"status": "pending",
"region": "us-east-1",
"records": [],
"createdAt": "2026-02-25T10:00:00.000Z"
}
]
}
{
"error": "unauthorized",
"message": "Invalid or missing API key"
}
import { CommuneClient } from 'commune-ai';
const commune = new CommuneClient({ apiKey: process.env.COMMUNE_API_KEY });
const result = await commune.domains.list();
for (const domain of result.data) {
console.log(domain.name, domain.status);
}
from commune import CommuneClient
client = CommuneClient()
result = client.domains.list()
for domain in result.data:
print(domain.name, domain.status)
list_domains()
curl "https://api.commune.email/v1/domains" \
-H "Authorization: Bearer comm_..."
commune domains list
{
"data": [
{
"id": "domain_xyz789",
"name": "mycompany.com",
"status": "verified",
"region": "us-east-1",
"records": [],
"createdAt": "2026-02-01T08:00:00.000Z"
},
{
"id": "domain_abc456",
"name": "outreach.mycompany.com",
"status": "pending",
"region": "us-east-1",
"records": [],
"createdAt": "2026-02-25T10:00:00.000Z"
}
]
}
{
"error": "unauthorized",
"message": "Invalid or missing API key"
}
Response
object[]
Array of domain objects for your organization. Internal fields like
webhook and orgId are excluded from the response.Hide Domain object properties
Hide Domain object properties
string
Unique domain identifier.
string
The registered domain name (e.g.
mycompany.com).string
Verification status. One of:
pending, verified. Only verified domains can send email.string
AWS region for this domain’s sending infrastructure.
object[]
DNS records required for verification. May be empty if records were already verified.
string
ISO 8601 creation timestamp.
Last modified on March 19, 2026
Was this page helpful?

